package com.fuzamei.mapperInterface;

import java.util.List;

import com.fuzamei.entity.OperationHistory;
import com.fuzamei.entity.OperationHistoryAdmin;
import com.fuzamei.entity.OperationType;
import com.fuzamei.entity.Params;
import com.fuzamei.entity.SendOrder;

public interface OperationHistoryMapper {

	void addToHistory(Params params);

	List<OperationHistory> queryOperationHistory(Params params);

	int findQueryCount(Params params);

	List<OperationType> showAllOperationTypeOfUser();

	List<OperationType> showAllOperationTypeOfAdmin();

	List<OperationHistoryAdmin> queryOperationHistoryByAdmin(Params params);

	int findQueryCountByAdmin(Params params);

}
